const ofilterjs = require('ofilterjs')

// This is getValue DEMO of ofilterjs
function testGetValue() {
  const apiResponse = {
    user_id: 1008,
    username: 'test',
    age: 25,
    gender: 'man',
    skill: {
      'cpp': { name: 'C/C++', desc: 'This is C/C++' },
      'go': { name: 'Golang', desc: 'This is Go' },
      'js': { name: 'Javascript', alias: 'Js', desc: 'This is Javascript' },
      'oc': { name: 'Objective-C', desc: 'This is Objective-C' },
      'node': { name: 'NodeJS', desc: 'This is NodeJS' },
      'php': { name: 'PHP', desc: 'This is PHP' }
    }
  }

  const cppName = ofilterjs.getValue(apiResponse, 'skill.cpp.name')
  const goName = ofilterjs.getValue(apiResponse, 'skill.go.alias|skill.go.name')
  const jsName = ofilterjs.getValue(apiResponse, 'skill.js.alias|skill.js.name')
  const otherName = ofilterjs.getValue(apiResponse, 'skill.other.name', 'oName')

  console.log(cppName)
  console.log(goName)
  console.log(jsName)
  console.log(otherName)
}

testGetValue()