const ofilterjs = require('ofilterjs')

// This is restValue DEMO of ofilterjs
function testResetValue() {
  const inputFormData = {
    userId: 1008,
    username: 'test',
    age: 25,
    gender: 'man',
    // This is private
    _privateName: 'PN',
    skill: {
      'cpp': { name: 'C/C++', desc: 'This is C/C++' },
      'go': { name: 'Golang', desc: 'This is Go' },
      'js': { name: 'Javascript', alias: 'Js', desc: 'This is Javascript' },
      'oc': { name: 'Objective-C', desc: 'This is Objective-C' },
      'node': { name: 'NodeJS', desc: 'This is NodeJS' },
      'php': { name: 'PHP', desc: 'This is PHP' }
    }
  }

  ofilterjs.resetValue(inputFormData)

  console.log(inputFormData)
}

testResetValue()